<View::Base::SourceRecord @path={{@path}} @model={{@model}} @value={{@value}} @isEditor={{@isEditor}} as |article|>
  <div class='article-preview'>
    {{#if article.title}}
      <h1>
        {{article.title}}
      </h1>
    {{/if}}

    <Article::FirstParagraph @contentBlocks={{article.contentBlocks}} />

    {{#if article.canEdit}}
      <div class='edit'>
        <LinkTo @route='manage.articles.edit' @model={{article.id}}>
          <FaIcon @icon='pencil-alt' />
          {{t 'edit-article-label'}}
        </LinkTo>
      </div>
    {{/if}}
  </div>
</View::Base::SourceRecord>